#### RECFORMAT

#### Synopsis

    HELP:   Record format of FLAMFILE [FIX]
    TYPE:   NUMBER
    SYNTAX: RECFORMAT/RECFORM/RECFMT/RECFM/RECF=FIX/F/VAR/V/TEXT/STREAM/UNDEFINED/UNDEF/U/FIXBLK/FB/FIXS/FBS/VARBLK/VB/VARSPAN/VBS

#### Description

Record format for FLAMFILE (compressed file).

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `RECFM=F/V/U/FB/VB/VBS/FBS`
  - `RECFORM=FIX/VAR/UNDEF/FIXBLK/VARBLK/VARSPAN/FIXS`
  - `RECF=FIX/VAR/UNDEF/FIXBLK/VARBLK/VARSPAN/FIXS`
    - Note: Not evaluated by FLAM under z/OS
- UNIX
  - `-recformat=fix/var/stream`
    - Note: The FLAMFILE always contains records of identical size. In the cx8 and vr8 modes, the records can be written either with (variable) or without (fixed) a record size field.
      The stream record format is used in the cx7 mode. If `recdelim` is not specified, 0x0a is used as the default record delimiter.
      `-recformat` needs only to be specified for the compression procedure.
- WINDOWS
  - `recformat=fix / var / text`

Values

- z/OS
  - `F/FIX` - Fixed record length
  - `V/VAR` - Variable record length
  - `U/UNDEF` - Undefined record length
  - `FB/FIXBLK` - Fix blocked
  - `VB/VARBLK` - Variable blocked
  - `VBS/VARSPAN` - Variable spanned
  - `FBS/FIXS` - Fix standard
- UNIX
  - `fix` - Fixed-size records, size as set by the -recsize parameter.
  - `var` - Variable-size records; the record size field is 2 bytes long.
  - `stream` - Variable-size records with a record delimiter.
- WINDOWS
  - `fix` - records with a fixed record length (default for all FLAMFILES).
  - `var` - Variable-size records; the record size field is 2 bytes long.
  - `text` - Variable-size records with a record delimiter.

Default

- z/OS
  - FB/FIXBLK
- UNIX
  - none
- WINDOWS
  - f/fix

Valid for

- z/OS
  - compression, decompression
- UNIX
  - compression
- WINDOWS
  - compression

#### Selections

- `FIX - Records with a fixed record length (default for all FLAMFILES)`
- `F - Records with a fixed record length (default for all FLAMFILES)`
- `VAR - Records with a variable record length. The additional (!) record length field is 2 bytes long`
- `V - Records with a variable record length. The additional (!) record length field is 2 bytes long`
- `TEXT - Records with a variable record length and end-of-record characters (CX7 only)`
- `STREAM - Variable-size records with a record delimiter`
- `UNDEFINED - Records with undefined record length (Host only)`
- `UNDEF - Records with undefined record length (Host only)`
- `U - Records with undefined record length (Host only)`
- `FIXBLK - Fix blocked (Host only)`
- `FB - Fix blocked (Host only)`
- `FIXS - Fix standard (Host only)`
- `FBS - Fix standard (Host only)`
- `VARBLK - Variable blocked (Host only)`
- `VB - Variable blocked (Host only)`
- `VARSPAN - Variable spanned (Host only)`
- `VBS - Variable spanned (Host only)`